{% extends 'base.html.twig' %}

{% block title %}Create campaign{% endblock %}

{% block body %}
    {% for flashError in app.flashes('campaign_create_error') %}
        <div class="alert alert-danger" role="alert">{{ flashError }}</div>
    {% endfor %}

    {% for flashSuccess in app.flashes('campaign.create.success') %}
        <div class="alert alert-success" role="alert">{{ flashSuccess }}</div>
    {% endfor %}

    <h1>Create campaign</h1>

    {{ form_start(campaignCreateForm) }}
    {{ form_row(campaignCreateForm.name) }}
    {{ form_row(campaignCreateForm.budgetName) }}
    {{ form_row(campaignCreateForm.budgetAmount) }}

    {{ form_row(campaignCreateForm.customerId) }}
    <div class="alert alert-warning" role="alert">
        The client customer ID is the account number of the Google Ads client account you want to manage with the API, usually in the form 123-456-7890.
    </div>

    {{ form_row(campaignCreateForm.loginCustomerId) }}
    <div class="alert alert-warning" role="alert">
        Login customer id required for manager accounts only: Specify the login customer ID used to authenticate API calls.<br/>
        This will be the customer ID of the authenticated manager account.
    </div>

    <button class="btn btn-lg btn-primary" type="submit">
        Create
    </button>
    {{ form_end(campaignCreateForm) }}
{% endblock %}
